Bug 617281 - Ruby QMFv1 agents don't have appropriate labels
Ruby QMFv1 agents don't have appropriate labels
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Ted Ross
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 12:28 EDT by Will Benton
Modified: 2011-08-12 12:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 09:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
minimal example agent; queries won't work, but the label should (1.26 KB, application/octet-stream)
2010-07-22 12:28 EDT, Will Benton
no flags Details

  None (edit)
Description Will Benton 2010-07-22 12:28:54 EDT
Created attachment 433753 [details]
minimal example agent; queries won't work, but the label should

Description of problem:

Ruby agents all have the label "qmfa", regardless what value was supplied to the label parameter of the Agent constructor.

Version-Release number of selected component (if applicable):

ruby-qmf-0.7.929717

How reproducible:

Create a ruby agent with a given label, run that agent, and then call session.getAgents() from a python console.

See wallaby-agent (and spqr/app.rb:215) for details of this happening in a real program, or see the attached stripped-down example (which doesn't really do anything useful as an agent).
  
Actual results:

Ruby agents all have the label "qmfa."

Expected results:

Ruby agents should have agent-supplied labels.
Comment 1 Ted Ross 2010-07-22 17:59:11 EDT
This is fixed upstream in revision 966871.

Note You need to log in before you can comment on or make changes to this bug.